Module java.management
Package javax.management.relation

## Class RelationNotFoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.relation.RelationException
        - - javax.management.relation.RelationNotFoundException

- All Implemented Interfaces:
    `Serializable`

      public class RelationNotFoundException
      extends RelationException

  This exception is raised when there is no relation for a given relation id in a Relation Service.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RelationNotFoundException​()` | Default constructor, no message put in exception.
    `RelationNotFoundException​(String message)` | Constructor with given message put in exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Constructor Detail

    - #### RelationNotFoundException

          public RelationNotFoundException​()

      Default constructor, no message put in exception.

    - #### RelationNotFoundException

          public RelationNotFoundException​(String message)

      Constructor with given message put in exception.
      Parameters:
        `message` - the detail message.